@import url('https://fonts.googleapis.com/css?family=Raleway:200');
@import url('https://fonts.googleapis.com/css?family=Roboto');


/* Curtain container */
#match-details-curtain {
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.973);
    z-index: -1;
    opacity: 5;
    overflow-y: hidden;
    
    
}
/* Match details container */
#match-details-container {
    position: absolute;
    z-index: 500;
    color: #F3EFF5;
    
    /* background-color: #3d0000; */
    
    width: 50%;
    
    padding: 1em 1em;
    
    border-radius: 6px;
    -webkit-box-shadow: 0px 0px 17px 3px rgba(0,0,0,0.75);
    -moz-box-shadow: 0px 0px 17px 3px rgba(0,0,0,0.75);
    box-shadow: 0px 0px 17px 3px rgba(0,0,0,0.75);
    opacity: 1;
    z-index: 500;
    overflow-y: hidden;
    
}

.img-pop{
    display: block;
    margin-left: auto;
    margin-right: auto;
    width: 60%;
    overflow-y: hidden;
}

#title {
    display: block;
    position: relative;
    width: 100%;
    font-size: 2em;
    text-align: center;
    margin-bottom: 20px;
}

#title::before, #title::after {
    content: '';
    display: block;
    width: 45%;
    border-bottom: 2px solid #99C24D;
    margin: 0 auto;
    margin-top: 0.2em;
}

#title::before {
    margin-bottom: 0.2em;
    width: 60%;
}

#teams-container {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.flexbox-items {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 33.33333%;
}

.logo {
    display: block;
    width: 70px;
    height: 70px;
    background-repeat: no-repeat;
    background-size: cover;
}

.name {
    font-size: 1.2em;
}

#date-of-match {
    width: 100%;
    text-align: center;
}

#time-of-match {
    width: 100%;
    text-align: center;
    font-size: 2em;
    margin-bottom: 0.2em;
    margin-top: -0.6em;
}

#vs {
    width: 100%;
    position: relative;
    margin-left: 5px;
}

#vs-line {
    width: 80%;
    float: left;
    margin-top: 6px;
    border: 0;
    border-bottom: 2px dashed #ccc;
}

.circle {
    display: block;
    float: left;
    width: 10px;
    height: 10px;
    border-radius: 50%;
    border: 2px solid #F3EFF5;
    transform:rotate(360deg); /* for smoother circle */
    -ms-transform:rotate(360deg);
    -moz-transform:rotate(360deg);
    -webkit-transform:rotate(360deg);
    -o-transform:rotate(360deg);
}

#score-container {
    display: block;
    width: 30%;
    height: 30px;
    margin: 0 auto;
}

.score {
    position: relative;
    width: calc(50% - 3px);
    height: 60px;
    float: left;
    text-align: center;
    line-height: 60px;
    border: 2px solid #F3EFF5;
    border-right: 1px solid #F3EFF5;
    background-color: #454955;
    font-size: 2em;
    font-family: 'Roboto', sans-serif;
}

.away-team.score {
    float: right;
    border-right: 2px solid #F3EFF5;
    border-left: 1px solid #F3EFF5;
}

.winner {
    color: #02111B;
    background-color: #99C24D;
}

#bottom-devider {
    margin-top: 2em;
    width: 80%;
    border: none;
    border-bottom: 1px solid #99C24D;
}

#close-details {
    display: block;
    position: absolute;
    width: 30px;
    height: 30px;
    top: 65px;
    right: 15px;
    cursor: pointer;
}

#close-details::before, #close-details::after {
    content:'';
    display: block;
    margin-top: 15px;
    width: 100%;
    border-bottom: 2px solid #F3EFF5;
    transform: rotate(45deg);
}

#close-details::after {
    margin-top: -2px;
    transform: rotate(-45deg);
}


@keyframes mi-animacion {
    from {  transform: rotate(0deg); }
    to {  transform: rotate(360deg); }
}



.img-pop{
    
    traslation: background 2s;
    animation: mi-animacion2 5s  ;
  }
  
  @keyframes mi-animacion2 {
    /*El browser esta preparado para usar en los keyframes el opacity y el transform */
    0% {
        opacity: 0;
        /*empieza de la derecha y va a la izquierda en el -10*/
        transform: translateY(3rem);
    }
    100% {
        opacity: 5;
        /*Vuelve a su posicion original, como es cero puedo poner solo translate*/
        transform: translate(0);
        /*si quiero agregar otro efecto al transform puedo hacer transform: translate(0) rotate(120deg);*/
    }
}

.tache{
    
    animation: anim 2s infinite;
}

@keyframes anim {
    0%, 20%, 50%, 80%, 100% {
      transform: translateY(0);
    }
    40% {
      transform: translateY(-30px);
    }
    60% {
      transform: translateY(-15px);
    }
  }



  @media (min-width: 319px) and (max-width: 640px) {
    #close-details {
       width:10%;
        top: 25px;
        right: 15px;
        
    }

    .modal-contents{
        height: ;
    }

    #match-details-container{
        width: 100%;
    
    }
    .img-pop{
        width: 95%;
    }
  }

  @media (min-width: 319px) and (max-width: 569px) {
    #close-details {
       width:10%;
        top: 25px;
        right: 15px;
        
    }

    #match-details-container{
        
    }

    .tac{
        width: 20px;
    }
  }

  .l{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    display: block;
    box-sizing: border-box;
    
  }
  
  .box span:nth-child(1)
  {
    transform:rotate(0deg);
  }
  
  
  
  .box span:nth-child(3)
  {
    transform:rotate(180deg);
  }
  
  
  
  .box span:before
  {
    content: '';
    position: absolute;
    width:100%;
    height: 4px;
    background: #b3ff01;
    animation: animate 4s linear infinite;
  }



  @keyframes animate {
    0% {
    transform:scaleX(0);
    transform-origin: left;
    }
    50%
    {
      transform:scaleX(1);
    transform-origin: left;
    }
    50.1%
    {
      transform:scaleX(1);
    transform-origin: right;
      
    }
    
    100%
    {
      transform:scaleX(0);
    transform-origin: right;
      
    }
    
    
  } 











